SPLIT(1)

NAME
split - split a file into pieces

SYNOPSIS
split [-b byte_count[k|m]] [-l line_count] [file [name]]

DESCRIPTION
The split utility reads the given file (or standard input if no file is specified) and breaks it up into files of 1000 lines each.

The options are as follows:

-b  Create smaller files byte_count bytes in length. If “k” is appended to the number, the file is split into byte_count kilobyte pieces. If “m” is appended to the number, the file is split into byte_count megabyte pieces.

-l  Create smaller files n lines in length.

If additional arguments are specified, the first is used as the name of the input file which is to be split. If a second additional argument is specified, it is used as a prefix for the names of the files into which the file is split. In this case, each file into which the file is split is named by the prefix followed by a lexically ordered suffix in the range of “aa-zz”.

If the name argument is not specified, the file is split into lexically ordered files named in the range of “xaa-zzz”.

BUGS
For historical reasons, if you specify name, split can only create 676 separate files. The default naming convention allows 2028 separate files.

HISTORY
A split command appeared in AT&T UNIX.